## fireflier 1.1.4-3

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 by Joey Hess.
#
# This version is for a hypothetical package that builds an
# architecture-dependant package, as well as an architecture-independent
# package.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatibility version to use.
export DH_COMPAT=3

ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -g
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.
	( cd server && autoconf && ./configure --prefix=/usr )
	( cp -r qtclient kdeclient && cd kdeclient && cp Makefile.in.kde Makefile.in && aclocal && autoconf && ./configure --prefix=/usr --with-Qt-include-dir=/usr/include/qt3 --with-Qt-bin-dir=/usr/bin --with-Qt-lib-dir=/usr/lib )
	( cd qtclient && aclocal && autoconf && ./configure --prefix=/usr --with-Qt-include-dir=/usr/include/qt3 --with-Qt-bin-dir=/usr/bin --with-Qt-lib-dir=/usr/lib )
	( cd gnomeclient && ./autogen.sh --prefix=/usr --disable-gnome && ln -s -f ../README && ln -s -f ../TODO && ln -s -f ../AUTHORS )

	touch configure-stamp


build-arch: configure-stamp  build-arch-stamp
build-arch-stamp:
	dh_testdir

	# Add here command to compile/build the package.
	( cd server && $(MAKE) )
	( cd qtclient && $(MAKE) )
	( cd kdeclient && $(MAKE) )
	( cd gnomeclient && CXX=g++-3.2 $(MAKE) )

	touch build-arch-stamp

build-indep:  configure-stamp build-indep-stamp
build-indep-stamp:
	dh_testdir

	# Add here command to compile/build the arch indep package.
	# It's ok not to do anything here, if you don't need to build
	#  anything for this package.
	#/usr/bin/docbook-to-man debian/fireflier.sgml > fireflier.1

# we should fix this (JSSE licensing problem)
#	( cd javaclient && $(MAKE) )

	touch build-indep-stamp

build: build-arch build-indep

clean:
	dh_testdir
	dh_testroot
	rm -f build-arch-stamp build-indep-stamp configure-stamp
	-( cd gnomeclient && rm -f mkinstalldirs missing depcomp install-sh INSTALL COPYING )

	-( cd server && $(MAKE) distclean || true )
	-( cd qtclient && $(MAKE) distclean || true )
	-( rm -rf kdeclient || true )
	-( cd gnomeclient && $(MAKE) distclean || true )
#	-( cd javaclient && $(MAKE) distclean )

	dh_clean

install: DH_OPTIONS=
install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	( cd server && $(MAKE) install DESTDIR=$(CURDIR)/debian/fireflier-server )
	( cd qtclient && $(MAKE) install DESTDIR=$(CURDIR)/debian/fireflier-client-qt )
	( cd kdeclient && $(MAKE) install DESTDIR=$(CURDIR)/debian/fireflier-client-kde   )
	( cd gnomeclient && $(MAKE) install DESTDIR=$(CURDIR)/debian/fireflier-client-gtk && rm -rf $(CURDIR)/debian/fireflier-client-gtk/usr/doc/fireflier-client-gtk )
	( cd $(CURDIR)/debian/fireflier-client-gtk/usr/share/doc/fireflier-client-gtk && rm COPYING && rm INSTALL && rm ChangeLog )
#	install javaclient/fireflier-client.jar $(CURDIR)/debian/fireflier-client-java/usr/share/java
#	install javaclient/sun-jsse/* $(CURDIR)/debian/fireflier-client-java/usr/share/java/sun-jsse-1.0.2
#	install javaclient/start $(CURDIR)/debian/fireflier-client-java/usr/bin/fireflier-client-java

# Build architecture-independent files here.
# Pass -i to all debhelper commands in this target to reduce clutter.
binary-indep: build install
#	dh_testdir -i
#	dh_testroot -i
#	dh_installdebconf -i
#	dh_installdocs -i
#	dh_installexamples -i
#	dh_installmenu -i
#	dh_installlogrotate -i
#	dh_installemacsen -i
#	dh_installpam -i
#	dh_installmime -i
#	dh_installinit -i
#	dh_installcron -i
#	dh_installman -i
#	dh_installinfo -i
#	dh_undocumented -i
#	dh_installchangelogs  -i
#	dh_link -i
#	dh_compress -i
#	dh_fixperms -i
#	dh_installdeb -i
#	dh_perl -i
#	dh_gencontrol -i
#	dh_md5sums -i
#	dh_builddeb -i

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir -a
	dh_testroot -a
#	dh_installdebconf -a
	dh_installdocs -a
	dh_installexamples -a
	dh_installmenu -a
#	dh_installlogrotate -a
#	dh_installemacsen -a
#	dh_installpam -a
#	dh_installmime -a
	dh_installinit -a -- defaults 15 05
#	dh_installcron -a

	dh_installman  -pfireflier-server server/man/fireflier.1
	dh_link -pfireflier-server usr/share/man/man1/fireflier.1 usr/share/man/man1/fireflierd.1
	dh_link -pfireflier-server usr/share/man/man1/fireflier.1 usr/share/man/man1/fireflier-server.1

	dh_installman  -pfireflier-client-qt qtclient/man/fireflier-client-qt.1

	dh_installman  -pfireflier-client-kde qtclient/man/fireflier-client-kde.1

	dh_installman  -pfireflier-client-gtk gnomeclient/man/fireflier-client-gtk.1

	dh_installinfo -a
#	dh_undocumented -a
	dh_installchangelogs  -a
	dh_strip -a
	dh_link -a
	dh_compress -a
	dh_fixperms -a
	dh_makeshlibs -a
	dh_installdeb -a
#	dh_perl -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
