=== thinletclient/Makefile ===

all: fireflier.java
	javac fireflier.java

jar:
	jar cf fireflier.jar thinlet *.class *.xml

clean: 
	rm -f *.class fireflier.jar

run: 
	java -classpath thinlet.jar:. fireflier
