=== server/libipulog/Makefile ===
# Generated automatically from Makefile.in by configure.
#

CFLAGS+=-Iinclude -I/usr/src/linux/include -g3
CC=gcc

libipulog.o: libipulog.c
	$(CC) $(CFLAGS) -c $< -o $@

clean:
	rm -f ulog_test libipulog.o libipulog.a
