=== debian/control ===
Source: fireflier
Section: net
Priority: optional
Maintainer: Martin Maurer <fireflier@gibraltar.at>
Build-Depends: debhelper (>> 3.0.0), iptables-dev, libpam0g-dev, libssl-dev, libqt3-mt-dev, automake, autoconf, libtool, pkg-config, libgtkmm2.0-dev, g++, m4, kdelibs4-dev, libxml2-dev, libgconf2-dev
Standards-Version: 3.6.1

Package: fireflier-server
Architecture: any
Depends: ${shlibs:Depends}, debconf
Description: Interactive firewall rule creation tool - server
 Fireflier is a firewall tool, which is built on top of the iptables 
 framework.
 You can create rules based on single incoming network packets or simply
 allow/deny single packets to pass.
 The ip_queue kernel module is used to get packets from the kernel.
 Features:
   - client-server approach for administering from another PC
   - SSL connection
   - rules with timeout (rules are deleted after some time or when 
     fireflier-server shuts down)
   - filtering based on applications

Package: fireflier-client-qt
Architecture: any
Depends: ${shlibs:Depends}
Description: Interactive firewall rule creation tool - QT client
 This is the QT client for the fireflier-server. 
 You will need this, if you want to connect to a 
 local or remote fireflier-server 
 .
 Fireflier is a firewall tool, which is built on top of the iptables 
 framework.
 You can create rules based on single incoming network packets or simply
 allow/deny single packets to pass.
 The ip_queue kernel module is used to get packets from the kernel.
 Features:
   - client-server approach for administering from another PC
   - SSL connection
   - rules with timeout (rules are deleted after some time or when 
     fireflier-server shuts down)
   - filtering based on applications

Package: fireflier-client-kde
Architecture: any
Depends: ${shlibs:Depends}
Description: Interactive firewall rule creation tool - QT client
 This is the QT client for the fireflier-server. 
 You will need this, if you want to connect to a 
 local or remote fireflier-server.
 The kde version has a dock icon, which displays if packets are
 pending.
 .
 Fireflier is a firewall tool, which is built on top of the iptables 
 framework.
 You can create rules based on single incoming network packets or simply
 allow/deny single packets to pass.
 The ip_queue kernel module is used to get packets from the kernel.
 Features:
   - client-server approach for administering from another PC
   - SSL connection
   - rules with timeout (rules are deleted after some time or when 
     fireflier-server shuts down)
   - filtering based on applications

Package: fireflier-client-gtk
Architecture: any
Depends: ${shlibs:Depends}
Description: Interactive firewall rule creation tool - GTK client
 This is the GTK client for the fireflier-server. 
 You will need this, if you want to connect to a 
 local or remote fireflier-server 
 .
 Fireflier is a firewall tool, which is built on top of the iptables 
 framework.
 You can create rules based on single incoming network packets or simply
 allow/deny single packets to pass.
 The ip_queue kernel module is used to get packets from the kernel.
 Features:
   - client-server approach for administering from another PC
   - SSL connection
   - rules with timeout (rules are deleted after some time or when 
     fireflier-server shuts down)
   - filtering based on applications
