=== debian/rules ===
--- 
+++ 
@@ -24,8 +24,8 @@
 	dh_testdir
 	# Add here commands to configure the package.
 	( cd server && autoconf && ./configure --prefix=/usr )
-	( cp -r qtclient kdeclient && cd kdeclient && cp Makefile.in.kde Makefile.in && aclocal && autoconf && ./configure --prefix=/usr --with-Qt-include-dir=/usr/include/qt3 --with-Qt-bin-dir=/usr/bin --with-Qt-lib-dir=/usr/lib )
-	( cd qtclient && aclocal && autoconf && ./configure --prefix=/usr --with-Qt-include-dir=/usr/include/qt3 --with-Qt-bin-dir=/usr/bin --with-Qt-lib-dir=/usr/lib )
+	( cp -r qtclient kdeclient && cd kdeclient && cp Makefile.in.kde Makefile.in && aclocal && autoconf && ./configure --prefix=/usr --with-Qt-include-dir=/usr/include/qt3 --with-Qt-bin-dir=/usr/bin --with-Qt-lib-dir=/usr/lib --with-Qt-lib=qt-mt )
+	( cd qtclient && aclocal && autoconf && ./configure --prefix=/usr --with-Qt-include-dir=/usr/include/qt3 --with-Qt-bin-dir=/usr/bin --with-Qt-lib-dir=/usr/lib --with-Qt-lib=qt-mt )
 	( cd gnomeclient && ./autogen.sh --prefix=/usr --disable-gnome && ln -s -f ../README && ln -s -f ../TODO && ln -s -f ../AUTHORS )
 
 	touch configure-stamp
