## fireflier 1.1.6-2ubuntu0.6.06

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 
 Package: fireflier-server
 Architecture: any
-Depends: ${shlibs:Depends}, debconf
+Depends: ${shlibs:Depends}, debconf | debconf-2.0
 Description: Interactive firewall rule creation tool - server
  Fireflier is a firewall tool, which is built on top of the iptables 
  framework.
