## fireflier 1.1.6-3

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: net
 Priority: optional
 Maintainer: Martin Maurer <fireflier@gibraltar.at>
-Build-Depends: debhelper (>> 3.0.0), iptables-dev, libpam0g-dev, libssl-dev, libqt3-mt-dev, automake, autoconf, libtool, pkg-config, libgtkmm2.0-dev, g++, m4, kdelibs4-dev, libxml2-dev, libgconf2-dev
+Build-Depends: debhelper (>> 3.0.0), iptables-dev, libpam0g-dev, libssl-dev, libqt3-mt-dev, pkg-config, libgtkmm2.0-dev, g++, kdelibs4-dev, libxml2-dev, libgconf2-dev
 Standards-Version: 3.6.1
 
 Package: fireflier-server
