=== debian/rules ===
--- 
+++ 
@@ -23,10 +23,10 @@
 configure-stamp:
 	dh_testdir
 	# Add here commands to configure the package.
-	( cd server && autoconf && ./configure --prefix=/usr )
-	( cp -r qtclient kdeclient && cd kdeclient && cp Makefile.in.kde Makefile.in && aclocal && autoconf && ./configure --prefix=/usr --with-Qt-include-dir=/usr/include/qt3 --with-Qt-bin-dir=/usr/bin --with-Qt-lib-dir=/usr/lib --with-Qt-lib=qt-mt )
-	( cd qtclient && aclocal && autoconf && ./configure --prefix=/usr --with-Qt-include-dir=/usr/include/qt3 --with-Qt-bin-dir=/usr/bin --with-Qt-lib-dir=/usr/lib --with-Qt-lib=qt-mt )
-	( cd gnomeclient && ./autogen.sh --prefix=/usr --disable-gnome && ln -s -f ../README && ln -s -f ../TODO && ln -s -f ../AUTHORS )
+	( cd server && ./configure --prefix=/usr )
+	( cd kdeclient && cp Makefile.in.kde Makefile.in && ./configure --prefix=/usr --with-Qt-include-dir=/usr/include/qt3 --with-Qt-bin-dir=/usr/bin --with-Qt-lib-dir=/usr/lib --with-Qt-lib=qt-mt )
+	( cd qtclient && ./configure --prefix=/usr --with-Qt-include-dir=/usr/include/qt3 --with-Qt-bin-dir=/usr/bin --with-Qt-lib-dir=/usr/lib --with-Qt-lib=qt-mt )
+	( cd gnomeclient && ./configure --prefix=/usr --disable-gnome )
 
 	touch configure-stamp
 
@@ -63,11 +63,11 @@
 	dh_testdir
 	dh_testroot
 	rm -f build-arch-stamp build-indep-stamp configure-stamp
-	-( cd gnomeclient && rm -f mkinstalldirs missing depcomp install-sh INSTALL COPYING )
+	-( cd gnomeclient && rm -f mkinstalldirs missing )
 
 	-( cd server && $(MAKE) distclean || true )
 	-( cd qtclient && $(MAKE) distclean || true )
-	-( rm -rf kdeclient || true )
+	-( cd kdeclient && $(MAKE) distclean || true )
 	-( cd gnomeclient && $(MAKE) distclean || true )
 #	-( cd javaclient && $(MAKE) distclean )
