## fireflier 1.1.6-3ubuntu0.1

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: fireflier
 Section: net
 Priority: optional
-Maintainer: Martin Maurer <fireflier@gibraltar.at>
+Maintainer: Ubuntu MOTU Developers <ubuntu-motu@lists.ubuntu.com>
+XSBC-Original-Maintainer: Martin Maurer <fireflier@gibraltar.at>
 Build-Depends: debhelper (>> 3.0.0), iptables-dev, libpam0g-dev, libssl-dev, libqt3-mt-dev, pkg-config, libgtkmm2.0-dev, g++, kdelibs4-dev, libxml2-dev, libgconf2-dev
 Standards-Version: 3.6.1
