## fireflier 1.1.7ubuntu1

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Ubuntu MOTU Developers <ubuntu-motu@lists.ubuntu.com>
 XSBC-Original-Maintainer: Martin Maurer <fireflier@gibraltar.at>
-Build-Depends: debhelper (>> 3.0.0), iptables-dev, libpam0g-dev, libssl-dev, libqt3-mt-dev, pkg-config, libgtkmm2.0-dev, g++, kdelibs4-dev, libxml2-dev, libgconf2-dev
+Build-Depends: debhelper (>> 3.0.0), iptables-dev, libpam0g-dev, libssl-dev, libqt3-mt-dev, pkg-config, libgtkmm2.0-dev, g++, kdelibs4-dev, libxml2-dev, libgconf2-dev, automake1.8
 Standards-Version: 3.6.1
 
 Package: fireflier-server
