## fireflier 1.1.7ubuntu2

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: optional
 Maintainer: Ubuntu MOTU Developers <ubuntu-motu@lists.ubuntu.com>
 XSBC-Original-Maintainer: Martin Maurer <fireflier@gibraltar.at>
-Build-Depends: debhelper (>> 3.0.0), iptables-dev, libpam0g-dev, libssl-dev, libqt3-mt-dev, pkg-config, libgtkmm2.0-dev, g++, kdelibs4-dev, libxml2-dev, libgconf2-dev, automake1.8
-Standards-Version: 3.6.1
+Build-Depends: debhelper (>> 3.0.0), iptables-dev, libpam0g-dev, libssl-dev, libqt3-mt-dev, g++ (>= 4:4.1.1-15), kdelibs4-dev, libxml2-dev
+Standards-Version: 3.7.2
 
 Package: fireflier-server
 Architecture: any
@@ -63,23 +63,3 @@
    - rules with timeout (rules are deleted after some time or when 
      fireflier-server shuts down)
    - filtering based on applications
-
-Package: fireflier-client-gtk
-Architecture: any
-Depends: ${shlibs:Depends}
-Description: Interactive firewall rule creation tool - GTK client
- This is the GTK client for the fireflier-server. 
- You will need this, if you want to connect to a 
- local or remote fireflier-server 
- .
- Fireflier is a firewall tool, which is built on top of the iptables 
- framework.
- You can create rules based on single incoming network packets or simply
- allow/deny single packets to pass.
- The ip_queue kernel module is used to get packets from the kernel.
- Features:
-   - client-server approach for administering from another PC
-   - SSL connection
-   - rules with timeout (rules are deleted after some time or when 
-     fireflier-server shuts down)
-   - filtering based on applications
