=== debian/rules ===
--- 
+++ 
@@ -8,9 +8,6 @@
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
-
-# This is the debhelper compatibility version to use.
-export DH_COMPAT=3
 
 ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
 	CFLAGS += -g
@@ -26,7 +23,7 @@
 	( cd server && ./configure --prefix=/usr )
 	( cd kdeclient && cp Makefile.in.kde Makefile.in && ./configure --prefix=/usr --with-Qt-include-dir=/usr/include/qt3 --with-Qt-bin-dir=/usr/bin --with-Qt-lib-dir=/usr/lib --with-Qt-lib=qt-mt )
 	( cd qtclient && ./configure --prefix=/usr --with-Qt-include-dir=/usr/include/qt3 --with-Qt-bin-dir=/usr/bin --with-Qt-lib-dir=/usr/lib --with-Qt-lib=qt-mt )
-	( cd gnomeclient && ./configure --prefix=/usr --disable-gnome )
+#	( cd gnomeclient && ./configure --prefix=/usr --disable-gnome )
 
 	touch configure-stamp
 
@@ -39,7 +36,7 @@
 	( cd server && $(MAKE) )
 	( cd qtclient && $(MAKE) )
 	( cd kdeclient && $(MAKE) )
-	( cd gnomeclient && CXX=g++-3.2 $(MAKE) )
+#	( cd gnomeclient && CXX=g++-3.2 $(MAKE) )
 
 	touch build-arch-stamp
 
@@ -63,12 +60,12 @@
 	dh_testdir
 	dh_testroot
 	rm -f build-arch-stamp build-indep-stamp configure-stamp
-	-( cd gnomeclient && rm -f mkinstalldirs missing )
+#	-( cd gnomeclient && rm -f mkinstalldirs missing )
 
 	-( cd server && $(MAKE) distclean || true )
 	-( cd qtclient && $(MAKE) distclean || true )
 	-( cd kdeclient && $(MAKE) distclean || true )
-	-( cd gnomeclient && $(MAKE) distclean || true )
+#	-( cd gnomeclient && $(MAKE) distclean || true )
 #	-( cd javaclient && $(MAKE) distclean )
 
 	dh_clean
@@ -83,8 +80,8 @@
 	( cd server && $(MAKE) install DESTDIR=$(CURDIR)/debian/fireflier-server )
 	( cd qtclient && $(MAKE) install DESTDIR=$(CURDIR)/debian/fireflier-client-qt )
 	( cd kdeclient && $(MAKE) install DESTDIR=$(CURDIR)/debian/fireflier-client-kde   )
-	( cd gnomeclient && $(MAKE) install DESTDIR=$(CURDIR)/debian/fireflier-client-gtk && rm -rf $(CURDIR)/debian/fireflier-client-gtk/usr/doc/fireflier-client-gtk )
-	( cd $(CURDIR)/debian/fireflier-client-gtk/usr/share/doc/fireflier-client-gtk && rm COPYING && rm INSTALL && rm ChangeLog )
+#	( cd gnomeclient && $(MAKE) install DESTDIR=$(CURDIR)/debian/fireflier-client-gtk && rm -rf $(CURDIR)/debian/fireflier-client-gtk/usr/doc/fireflier-client-gtk )
+#	( cd $(CURDIR)/debian/fireflier-client-gtk/usr/share/doc/fireflier-client-gtk && rm COPYING && rm INSTALL && rm ChangeLog )
 #	install javaclient/fireflier-client.jar $(CURDIR)/debian/fireflier-client-java/usr/share/java
 #	install javaclient/sun-jsse/* $(CURDIR)/debian/fireflier-client-java/usr/share/java/sun-jsse-1.0.2
 #	install javaclient/start $(CURDIR)/debian/fireflier-client-java/usr/bin/fireflier-client-java
@@ -140,7 +137,7 @@
 
 	dh_installman  -pfireflier-client-kde qtclient/man/fireflier-client-kde.1
 
-	dh_installman  -pfireflier-client-gtk gnomeclient/man/fireflier-client-gtk.1
+#	dh_installman  -pfireflier-client-gtk gnomeclient/man/fireflier-client-gtk.1
 
 	dh_installinfo -a
 #	dh_undocumented -a
